<?php

# @name: compare.php
# @version: 0.1
# @creation_date: 2021-09-30
# @license: The MIT License <https://opensource.org/licenses/MIT>
# @author: Simon Bowie <ad7588@coventry.ac.uk>
# @purpose: Displays two random records from the Solr index

include '../solr.php';
include '../ops_api.php';

$core = 'all';
$random_records = two_random_records($core);
$record_one = $random_records[0];
$record_two = $random_records[1];
$record_one_details = get_publication_details($record_one['doc_ref']);
$record_two_details = get_publication_details($record_two['doc_ref']);

?>


<!DOCTYPE html>
<html lang="en">
<head>
  <title>Performing Patents Otherwise: Archival conversations with 320.000 clothing inventions</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
  <link rel="stylesheet" type="text/css" href="css/style.css">
</head>
<body>
  <div class="container-fluid">
    <div class="row">
      <div class="col-6 text-center">
        Application ID:

        <a href="id_search.php?id=<? echo $random_record['id']; ?>&core=all">
        <?php
        echo $record_one['application_id'];
        ?>
        </a>

        <br><br>

        Year:

        <?php
        echo $record_one['year'];
        ?>

        <br><br>

        EPO publication:

        <a href=<?php echo $record_one['epo_publication_url']; ?>>
          <?php
          echo $record_one['epo_publication_url'];
          ?>
        </a>

        <br><br>

        IPC publication:

        <a href=<?php echo $record_one['ipc_publication_url']; ?>>
          <?php
          echo $record_one['ipc_publication_url'];
          ?>
        </a>

        <br><br>

        <?php
          if (isset($record_one['title'])):
        ?>

        Title:

        <?php
        echo $record_one['title'];
        ?>

        <br><br>

        <?php
          endif;
        ?>

        <?php
          if (isset($record_one_details['original_title'])):
        ?>

          Original language title:

          <?php
          echo $record_one_details['original_title'];
          ?>

          <br><br>

        <?php
          endif;
        ?>

        <?php
        if (isset($record_one['abstract'])):
        ?>

        Abstract:

          <?php
          echo $record_one['abstract'];
          ?>

        <br><br>

        <?
        endif;
        ?>

        <?php
          if (isset($record_one_details['original_abstract'])):
        ?>

          Original language abstract:

          <?php
          echo $record_one_details['original_abstract'];
          ?>

          <br><br>

        <?php
          endif;
        ?>


        <?php
          if (check_for_images($record_one['doc_ref'])):
        ?>

        <?php
          $image = get_images($record_one["doc_ref"]);
        ?>

        <?php
          echo '<img class="img-fluid" src="data:image/jpg;base64,'.base64_encode($image->getImageBlob()).'" alt="Drawing of patent" />';
        ?>

        <?php
          endif;
        ?>
      </div>

      <div class="col-6 text-center">
        Application ID:

        <a href="id_search.php?id=<? echo $record_two['id']; ?>&core=all">
        <?php
        echo $record_two['application_id'];
        ?>
        </a>

        <br><br>

        Year:

        <?php
        echo $record_two['year'];
        ?>

        <br><br>

        EPO publication:

        <a href=<?php echo $record_two['epo_publication_url']; ?>>
          <?php
          echo $record_two['epo_publication_url'];
          ?>
        </a>

        <br><br>

        IPC publication:

        <a href=<?php echo $record_two['ipc_publication_url']; ?>>
          <?php
          echo $record_two['ipc_publication_url'];
          ?>
        </a>

        <br><br>

        <?php
          if (isset($record_two['title'])):
        ?>

        Title:

        <?php
        echo $record_two['title'];
        ?>

        <br><br>

        <?php
          endif;
        ?>

        <?php
          if (isset($record_two_details['original_title'])):
        ?>

          Original language title:

          <?php
          echo $record_two_details['original_title'];
          ?>

          <br><br>

        <?php
          endif;
        ?>

        <?php
        if (isset($record_two['abstract'])):
        ?>

        Abstract:

          <?php
          echo $record_two['abstract'];
          ?>

        <br><br>

        <?
        endif;
        ?>

        <?php
          if (isset($record_two_details['original_abstract'])):
        ?>

          Original language abstract:

          <?php
          echo $record_two_details['original_abstract'];
          ?>

          <br><br>

        <?php
          endif;
        ?>


        <?php
          if (check_for_images($record_two['doc_ref'])):
        ?>

        <?php
          $image = get_images($record_two["doc_ref"]);
        ?>

        <?php
          echo '<img class="img-fluid" src="data:image/jpg;base64,'.base64_encode($image->getImageBlob()).'" alt="Drawing of patent" />';
        ?>

        <?php
          endif;
        ?>
      </div>
    </div>
  </div>
</body>
</html>
